import { defineComponent as O, ref as d, watch as T, resolveComponent as c, openBlock as w, createElementBlock as q, createElementVNode as m, createVNode as t, unref as o, withCtx as n, createBlock as E, createCommentVNode as C, withKeys as A, createTextVNode as h, pushScopeId as M, popScopeId as P } from "vue";
import { S as I } from "./types-b6ebfd92.mjs";
import { l as B } from "./index-67b561ae.mjs";
import { message as V } from "ant-design-vue";
import { cloneDeep as $ } from "lodash";
import { u as j } from "./index-5a0a76f7.mjs";
import { _ as K } from "./_plugin-vue_export-helper-dad06003.mjs";
var U = /* @__PURE__ */ ((r) => (r.PHONE = "phone", r.USERNAME = "username", r))(U || {});
const R = {
  phone: {
    rules: {
      phone: [
        {
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      phone: "",
      password: ""
    }
  },
  username: {
    rules: {
      username: [
        {
          required: !0,
          message: "请输入用户名"
        }
      ],
      password: [
        {
          required: !0,
          message: "请输入密码"
        }
      ]
    },
    formData: {
      username: "",
      password: ""
    }
  }
}, L = (r) => (M("data-v-2abdafa9"), r = r(), P(), r), z = { class: "login-wrapper" }, F = /* @__PURE__ */ L(() => /* @__PURE__ */ m("div", { class: "title" }, "欢迎登录", -1)), G = { class: "body" }, H = { class: "submit" }, J = { class: "link-wrapper" }, W = /* @__PURE__ */ O({
  __name: "index",
  emits: ["update:status"],
  setup(r, { emit: N }) {
    const S = N, k = j(), y = d(), _ = d(!1), f = d(U.USERNAME), a = d(), b = d();
    T(
      f,
      (s) => {
        a.value = $(R[s].formData), b.value = R[s].rules;
      },
      {
        immediate: !0
      }
    );
    const D = async () => {
      try {
        _.value = !0;
        const { username: s, password: e } = a.value;
        let i = await B.login(s, e);
        const { access_token: u, refresh_token: p, user_id: g } = i;
        localStorage.setItem("access_token", u), localStorage.setItem("refresh_token", p), localStorage.setItem("user_id", g), k.push("/");
      } catch (s) {
        V.error(s.msg);
      } finally {
        _.value = !1;
      }
    }, x = () => {
      var s;
      console.log("router :>> ", k), (s = y.value) == null || s.validate().then(() => {
        D();
      }).catch((e) => {
        console.log("error :>> ", e);
      });
    };
    return (s, e) => {
      const i = c("svg-icon"), u = c("a-input"), p = c("a-form-item"), g = c("a-form"), v = c("a-button");
      return w(), q("div", z, [
        F,
        m("div", G, [
          t(g, {
            autocomplete: "off",
            model: o(a),
            rules: o(b),
            ref_key: "loginRef",
            ref: y
          }, {
            default: n(() => [
              o(f) === "username" ? (w(), E(p, {
                key: 0,
                name: "username"
              }, {
                default: n(() => [
                  t(u, {
                    value: o(a).username,
                    "onUpdate:value": e[0] || (e[0] = (l) => o(a).username = l),
                    class: "input-item",
                    placeholder: "用户名",
                    allowClear: ""
                  }, {
                    prefix: n(() => [
                      t(i, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : C("", !0),
              o(f) === "phone" ? (w(), E(p, {
                key: 1,
                name: "phone"
              }, {
                default: n(() => [
                  t(u, {
                    value: o(a).phone,
                    "onUpdate:value": e[1] || (e[1] = (l) => o(a).phone = l),
                    class: "input-phone",
                    allClear: "",
                    placeholder: "请输入手机号"
                  }, {
                    prefix: n(() => [
                      t(i, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })) : C("", !0),
              t(p, { name: "password" }, {
                default: n(() => [
                  t(u, {
                    type: "password",
                    value: o(a).password,
                    "onUpdate:value": e[2] || (e[2] = (l) => o(a).password = l),
                    class: "input-item",
                    placeholder: "密码",
                    allowClear: "",
                    onKeydown: A(x, ["enter"])
                  }, {
                    prefix: n(() => [
                      t(i, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          m("div", H, [
            t(v, {
              type: "primary",
              block: "",
              onClick: x,
              class: "input-item",
              loading: o(_)
            }, {
              default: n(() => [
                h(" 登录 ")
              ]),
              _: 1
            }, 8, ["loading"])
          ]),
          m("div", J, [
            t(v, {
              type: "link",
              onClick: e[3] || (e[3] = (l) => S("update:status", o(I).REGISTER))
            }, {
              default: n(() => [
                h("注册账号")
              ]),
              _: 1
            }),
            t(v, {
              class: "btn-forget-passwd",
              type: "link",
              onClick: e[4] || (e[4] = (l) => S("update:status", o(I).RESET_PASSWD))
            }, {
              default: n(() => [
                h("忘记密码")
              ]),
              _: 1
            })
          ])
        ])
      ]);
    };
  }
});
const Q = /* @__PURE__ */ K(W, [["__scopeId", "data-v-2abdafa9"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Signing/index.vue"]]), ne = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Q
}, Symbol.toStringTag, { value: "Module" }));
export {
  Q as S,
  ne as _
};
