import { defineComponent as L, ref as v, resolveComponent as g, openBlock as S, createBlock as A, unref as n, withCtx as i, createVNode as s, onMounted as B, createElementBlock as U, createElementVNode as T, createTextVNode as f, isRef as G, toDisplayString as R, pushScopeId as Z, popScopeId as ee } from "vue";
import { r as C } from "./index-7816a614.mjs";
import oe from "ant-design-vue/es/locale/zh_CN";
import { _ as D } from "./_plugin-vue_export-helper-dad06003.mjs";
import { _ as ne } from "./index-3b44d685.mjs";
import { _ as te } from "./index-956e2728.mjs";
import { _ as ie } from "./index-0c76632c.mjs";
import { _ as se } from "./index-05276e80.mjs";
import { _ as _e, a as re, S as le } from "./index-57bdb3c3.mjs";
import { _ as ae } from "./index-638b2e55.mjs";
import { _ as ce, a as de, b as ue, c as me, d as pe, e as fe, f as ve, g as ge, h as be, j as ye, k as xe, l as he, x as we, m as Me, y as Fe, n as Re, o as Se, p as Te, q as ke, r as Ce, s as Le, z as Ae, t as De, u as Ie, v as Pe, A as je, B as qe, w as Ne } from "./index-c714fce6.mjs";
import { _ as Ee, a as Oe, b as Ue, c as Ge, d as Ve } from "./index-a20d4ec7.mjs";
import { _ as Be } from "./index-540dca0e.mjs";
import { _ as $e } from "./index-0b56a242.mjs";
import { _ as ze } from "./index-43f46c94.mjs";
import { _ as Ke } from "./index-e7131454.mjs";
import { _ as He } from "./index-e31608de.mjs";
import { _ as We } from "./index-17304c60.mjs";
import { _ as Ye } from "./index-71d6b17f.mjs";
import { _ as Je } from "./index-f8b3658f.mjs";
import { _ as Qe } from "./index-361bfa48.mjs";
import { _ as Xe } from "./index-baa1b5f5.mjs";
import { _ as Ze } from "./index-86b7a796.mjs";
import { _ as eo } from "./index-e7d1c7cb.mjs";
import { _ as oo } from "./ModifyResource-2a5b565f.mjs";
import { _ as no } from "./Rule-a81badc0.mjs";
import { _ as to } from "./index-f847f22c.mjs";
import { _ as io } from "./index-c7857976.mjs";
import { _ as so } from "./index-983aa8b0.mjs";
import { _ as _o } from "./index-060bb8d9.mjs";
import { _ as ro } from "./index-31e4b2cd.mjs";
import { message as F, Modal as lo } from "ant-design-vue";
const ao = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  get default() {
    return $;
  }
}, Symbol.toStringTag, { value: "Module" })), co = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  get default() {
    return Io;
  }
}, Symbol.toStringTag, { value: "Module" })), uo = /* @__PURE__ */ L({
  __name: "App",
  setup(u) {
    const m = v(oe), l = {
      token: {
        colorPrimary: "#1677ff",
        colorLink: "#1677ff"
      }
    };
    return (_, e) => {
      const b = g("RouterView"), r = g("a-config-provider");
      return S(), A(r, {
        locale: n(m),
        theme: l
      }, {
        default: i(() => [
          s(b)
        ]),
        _: 1
      }, 8, ["locale"]);
    };
  }
});
const mo = /* @__PURE__ */ D(uo, [["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/App.vue"]]), po = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: mo
}, Symbol.toStringTag, { value: "Module" })), fo = [
  {
    name: "hideshow",
    type: "inline",
    items: [
      {
        label: "显示",
        value: 1
      },
      {
        label: "隐藏",
        value: 0
      }
    ]
  },
  {
    name: "yn",
    type: "inline",
    items: [
      {
        label: "是",
        value: 1
      },
      {
        label: "否",
        value: 0
      }
    ]
  },
  {
    name: "componenturi",
    type: "inline",
    items: ho()
  }
], vo = {
  hide: "hideshow",
  component: "componenturi",
  secondmenu: "yn"
}, go = {
  children: [
    {
      type: "TextField",
      options: {
        type: "text",
        field: "name",
        label: "菜单名称",
        required: !0
      }
    },
    {
      type: "TextField",
      options: {
        type: "text",
        field: "uri",
        label: "访问路径",
        required: !0
      }
    },
    {
      type: "RadioField",
      options: {
        type: "text",
        field: "secondmenu",
        label: "是否为二级菜单",
        default: 0,
        dictRef: "yn",
        required: !0
      }
    },
    {
      type: "CascaderField",
      options: {
        type: "text",
        field: "component",
        label: "显示组件",
        required: !0,
        dictRef: "componenturi",
        depends: ["==", "secondmenu", 0]
      }
    },
    {
      type: "iconField",
      options: {
        type: "text",
        field: "icon",
        label: "显示图标"
      }
    },
    {
      type: "NumberField",
      options: {
        type: "text",
        field: "sort_no",
        label: "排序",
        required: !0
      }
    },
    {
      type: "RadioField",
      options: {
        type: "number",
        field: "hide",
        label: "是否显示",
        dictRef: "hideshow",
        required: !0,
        default: 1
      }
    }
  ]
}, bo = {
  fieldValidators: [
    {
      field: "name",
      label: "菜单名称",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^\S+$/,
            message: "菜单名称不能包含空格"
          }
        }
      ]
    },
    {
      field: "uri",
      label: "访问路径",
      validators: [
        {
          type: "regex",
          options: {
            pattern: /^\S+$/,
            message: "访问路径不能包含空格"
          }
        }
      ]
    }
  ]
}, yo = {
  layout: go,
  dicts: fo,
  dictRefs: vo,
  validators: bo
}, V = {
  formDef: yo,
  formRecordData: {}
};
function xo(u) {
  return Object.keys(/* @__PURE__ */ Object.assign({ "/src/App.vue": po, "/src/app/views/FormTest/index.vue": ne, "/src/components/AceEditor/index.vue": te, "/src/components/GTSearch/index.vue": ie, "/src/components/GTSearchTable/index.vue": se, "/src/components/GTTable/index.vue": _e, "/src/components/ResourceTable/index.vue": ae, "/src/components/SvgIcon/index.vue": re, "/src/components/form/GTField/index.vue": ce, "/src/components/form/GTForm/index.vue": de, "/src/components/form/Layout/Card/index.vue": ue, "/src/components/form/Layout/Grid/index.vue": me, "/src/components/form/Layout/Group/index.vue": pe, "/src/components/form/Layout/SplitLine/index.vue": fe, "/src/components/form/Layout/Title/index.vue": ve, "/src/components/form/field/CascaderField/index.vue": ge, "/src/components/form/field/CheckboxField/index.vue": be, "/src/components/form/field/DateField/index.vue": ye, "/src/components/form/field/DateRangeField/index.vue": xe, "/src/components/form/field/FileField/index.vue": he, "/src/components/form/field/LonLatField/Amap/index.vue": we, "/src/components/form/field/LonLatField/index.vue": Me, "/src/components/form/field/LonLatInputField/InputNumber.vue": Fe, "/src/components/form/field/LonLatInputField/index.vue": Re, "/src/components/form/field/NumberField/index.vue": Se, "/src/components/form/field/NumberWithUnitField/index.vue": Te, "/src/components/form/field/PictureField/index.vue": ke, "/src/components/form/field/RadioField/index.vue": Ce, "/src/components/form/field/SelectField/index.vue": Le, "/src/components/form/field/SubForm/SubFormTable.vue": Ae, "/src/components/form/field/SubForm/index.vue": De, "/src/components/form/field/TextField/index.vue": Ie, "/src/components/form/field/YearSelectField/index.vue": Pe, "/src/components/form/field/iconField/components/ant.vue": je, "/src/components/form/field/iconField/components/iconfont.vue": qe, "/src/components/form/field/iconField/index.vue": Ne, "/src/layout/MenuBar.vue": Ee, "/src/layout/NavBar.vue": Oe, "/src/layout/PasswordModify.vue": Ue, "/src/layout/SubMenu.vue": Ge, "/src/views/FormDesign/components/FormAuth/index.vue": Be, "/src/views/FormDesign/components/FormDesignEditor/index.vue": $e, "/src/views/FormDesign/components/FormRule/index.vue": ze, "/src/views/FormDesign/index.vue": Ke, "/src/views/FormPage/index.vue": He, "/src/views/Home/index.vue": Ve, "/src/views/Login/components/Register/index.vue": We, "/src/views/Login/components/ResetPasswd/index.vue": Ye, "/src/views/Login/components/Signing/index.vue": Je, "/src/views/Login/index.vue": Qe, "/src/views/MenuManage/components/MenuInfo/index.vue": ao, "/src/views/MenuManage/index.vue": co, "/src/views/NotFound/index.vue": Xe, "/src/views/RoleManage/Permission/components/AuthorApi/index.vue": Ze, "/src/views/RoleManage/Permission/components/Menu/index.vue": eo, "/src/views/RoleManage/Permission/components/Resources/ModifyResource.vue": oo, "/src/views/RoleManage/Permission/components/Resources/Rule.vue": no, "/src/views/RoleManage/Permission/components/Resources/index.vue": to, "/src/views/RoleManage/Permission/index.vue": io, "/src/views/RoleManage/index.vue": so, "/src/views/UserManage/components/Form/index.vue": _o, "/src/views/UserManage/index.vue": ro })).map((_) => {
    const e = _.replace("./", "").split("/");
    return e.splice(0, 2), e;
  }).filter((_) => u.includes(_[0]) && _.length > 1 && !_.includes("components"));
}
function ho() {
  const u = xo(["app", "views", "pages"]), m = [];
  return u.forEach((l) => {
    let _ = m;
    l.forEach((e, b) => {
      const r = _.find((c) => c.value === e);
      if (r)
        _ = r.children || (r.children = []);
      else {
        const c = { value: e, label: e };
        _.push(c), _ = c.children || (c.children = []), b === l.length - 1 && delete c.children;
      }
    });
  }), m;
}
const wo = -1, Mo = /* @__PURE__ */ L({
  name: "MenuInfo",
  __name: "index",
  props: {
    addMode: { type: String, required: !0 },
    menuInfo: { type: null, required: !0 }
  },
  emits: ["close", "spinning"],
  setup(u, { expose: m, emit: l }) {
    const _ = u, e = l, b = v(), { menuInfo: r, addMode: c } = _;
    V.formRecordData = r && c === "edit" ? r : {};
    async function k() {
      e("spinning", !0);
      try {
        const { state: y, data: p } = await b.value.submit();
        if (y) {
          let d = p.component, w = Array.isArray(d) ? p.component.join("/") : "components/RouterView/RouterView.js";
          p.component = w, c === "edit" ? (await C.modifyMenu(p), F.success("修改成功"), e("close", !0, p._id)) : (p.pid = c === "child" ? r == null ? void 0 : r._id : (r == null ? void 0 : r.pid) || wo, await C.addMenu(p), F.success("新增成功"), e("close", !0));
        } else
          F.error("表单校验未通过");
      } catch ({ msg: y }) {
        F.error(y);
      } finally {
        e("spinning", !1);
      }
    }
    return m({ onSubmit: k }), B(() => {
    }), (y, p) => {
      const d = g("GTForm");
      return S(), A(d, {
        options: n(V),
        ref_key: "formBox",
        ref: b
      }, null, 8, ["options"]);
    };
  }
});
const $ = /* @__PURE__ */ D(Mo, [["__scopeId", "data-v-75e03a57"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/MenuManage/components/MenuInfo/index.vue"]]), z = (u) => (Z("data-v-d279e8ef"), u = u(), ee(), u), Fo = { class: "menu-manage-page" }, Ro = { class: "left" }, So = { class: "node-handler" }, To = { class: "right" }, ko = /* @__PURE__ */ z(() => /* @__PURE__ */ T("span", null, "菜单选型", -1)), Co = {
  key: 1,
  class: "no-choose-wrap"
}, Lo = /* @__PURE__ */ z(() => /* @__PURE__ */ T("p", null, "请选择菜单节点", -1)), Ao = [
  Lo
], Do = /* @__PURE__ */ L({
  __name: "index",
  setup(u) {
    const m = v([]);
    let l = v();
    function _(a) {
      for (let t = 0; t < a.length; t++) {
        let o = a[t];
        o.title = `${o.name}(${o.sort_no})`, o.component = o.component.split("/"), o.component[0] === "components" && (o.secondmenu = 1), o.children && _(o.children);
      }
      return a;
    }
    const e = v();
    function b(a, t) {
      t.selected && (e.value = t.node.dataRef);
    }
    function r() {
      lo.confirm({
        title: "删除菜单",
        content: "删除菜单时，对应的子菜单也将删除，确认删除吗？",
        onOk() {
          c(e.value._id);
        },
        onCancel() {
          console.log("Cancel");
        },
        class: "test"
      });
    }
    function c(a) {
      C.deleteMenu(a).then(() => {
        F.success("已删除"), e.value = void 0, y(!1);
      });
    }
    function k(a, t, o = []) {
      for (let x of a)
        x._id === t && o.push(x), x.children && k(x.children, t, o);
      return o;
    }
    async function y(a, t = null) {
      try {
        let o = await C.queryMenuTree();
        if (m.value = _(o), a) {
          d.value = !1;
          let x = k(m.value, t);
          e.value = x[0];
        }
      } catch ({ msg: o }) {
        F.error(o);
      }
    }
    let p = v(), d = v(!1), w = v(""), I = v(!1);
    function P(a) {
      d.value = !0, w.value = a;
    }
    function K() {
      w.value = "edit", d.value = !0;
    }
    function H() {
      d.value = !1;
    }
    async function W() {
      await p.value.onSubmit();
    }
    function Y(a) {
      I.value = a;
    }
    return B(async () => {
      y(!0);
    }), (a, t) => {
      var j, q, N, E, O;
      const o = g("a-button"), x = g("a-spin"), J = g("a-drawer"), Q = g("a-tree"), M = g("a-descriptions-item"), X = g("a-descriptions");
      return S(), U("div", Fo, [
        T("div", Ro, [
          T("div", So, [
            s(o, {
              class: "button",
              onClick: t[0] || (t[0] = (h) => P("same")),
              type: "primary"
            }, {
              default: i(() => [
                f("新增同级")
              ]),
              _: 1
            }),
            s(o, {
              class: "button",
              disabled: !!((j = n(e)) != null && j.is_system) || !((q = n(l)) != null && q.length),
              onClick: t[1] || (t[1] = (h) => P("child")),
              type: "primary"
            }, {
              default: i(() => [
                f("新增子级")
              ]),
              _: 1
            }, 8, ["disabled"]),
            s(o, {
              class: "button",
              disabled: !!((N = n(e)) != null && N.is_system) || !((E = n(l)) != null && E.length),
              onClick: r,
              type: "primary",
              danger: ""
            }, {
              default: i(() => [
                f("删除")
              ]),
              _: 1
            }, 8, ["disabled"]),
            s(J, {
              open: n(d),
              "onUpdate:open": t[2] || (t[2] = (h) => G(d) ? d.value = h : d = h),
              class: "custom-class",
              "root-class-name": "root-class-name",
              "root-style": { color: "blue" },
              "footer-style": { display: "flex", "justify-content": "flex-end" },
              title: n(w) === "edit" ? "编辑菜单" : "添加菜单",
              placement: "right",
              destroyOnClose: ""
            }, {
              footer: i(() => [
                s(o, {
                  style: { "margin-right": "8px" },
                  onClick: H
                }, {
                  default: i(() => [
                    f("取消")
                  ]),
                  _: 1
                }),
                s(x, { spinning: n(I) }, {
                  default: i(() => [
                    s(o, {
                      type: "primary",
                      onClick: W
                    }, {
                      default: i(() => [
                        f("确定")
                      ]),
                      _: 1
                    })
                  ]),
                  _: 1
                }, 8, ["spinning"])
              ]),
              default: i(() => [
                s($, {
                  onClose: y,
                  ref_key: "menuInfoComponent",
                  ref: p,
                  addMode: n(w),
                  menuInfo: n(e),
                  onSpinning: Y
                }, null, 8, ["addMode", "menuInfo"])
              ]),
              _: 1
            }, 8, ["open", "title"])
          ]),
          s(Q, {
            selectedKeys: n(l),
            "onUpdate:selectedKeys": t[3] || (t[3] = (h) => G(l) ? l.value = h : l = h),
            "tree-data": n(m),
            onSelect: b
          }, null, 8, ["selectedKeys", "tree-data"])
        ]),
        T("div", To, [
          (O = n(l)) != null && O.length && n(e) ? (S(), A(X, {
            key: 0,
            column: 1,
            bordered: ""
          }, {
            title: i(() => [
              ko,
              s(o, {
                type: "primary",
                onClick: K
              }, {
                default: i(() => [
                  f("修改")
                ]),
                _: 1
              })
            ]),
            default: i(() => [
              s(M, { label: "菜单名称" }, {
                default: i(() => [
                  f(R(n(e).name), 1)
                ]),
                _: 1
              }),
              s(M, { label: "访问路径" }, {
                default: i(() => [
                  f(R(n(e).uri), 1)
                ]),
                _: 1
              }),
              s(M, { label: "显示组件" }, {
                default: i(() => [
                  f(" @/" + R(Array.isArray(n(e).component) ? n(e).component.join("/") : n(e).component), 1)
                ]),
                _: 1
              }),
              s(M, { label: "排序" }, {
                default: i(() => [
                  f(R(n(e).sort_no), 1)
                ]),
                _: 1
              }),
              s(M, { label: "是否显示" }, {
                default: i(() => [
                  f(R(n(e).hide === 0 ? "隐藏" : "显示"), 1)
                ]),
                _: 1
              }),
              s(M, { label: "显示图标" }, {
                default: i(() => [
                  s(le, {
                    icon: n(e).icon
                  }, null, 8, ["icon"])
                ]),
                _: 1
              })
            ]),
            _: 1
          })) : (S(), U("div", Co, [...Ao]))
        ])
      ]);
    };
  }
});
const Io = /* @__PURE__ */ D(Do, [["__scopeId", "data-v-d279e8ef"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/MenuManage/index.vue"]]);
export {
  ao as _,
  co as a,
  Io as i
};
