import { defineComponent as E, ref as r, onMounted as L, resolveComponent as w, openBlock as x, createBlock as C, withCtx as u, createVNode as i, unref as a, createElementVNode as q, normalizeClass as H, isRef as _, Suspense as B } from "vue";
import { G as M } from "./index-0c76632c.mjs";
import { G as P } from "./index-57bdb3c3.mjs";
import { f as m } from "./index-1afe6cfc.mjs";
import { message as s } from "ant-design-vue";
import { G as Q } from "./index-05276e80.mjs";
import { F as V } from "./index-0b56a242.mjs";
import { F as A } from "./index-43f46c94.mjs";
import { F as K } from "./index-540dca0e.mjs";
import { _ as $ } from "./_plugin-vue_export-helper-dad06003.mjs";
const J = [
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableTitle",
        label: "表单标题"
      }
    }
  },
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "tableName",
        label: "表单名称"
      }
    }
  }
], W = [
  { name: "table_title", label: "表单标题" },
  { name: "table_name", label: "表单名称" },
  { name: "dictType", label: "表单类型", align: "center", dict: "表单类型", width: 120 },
  { name: "version", label: "版本", align: "center", width: 80 },
  {
    name: "update_time",
    type: "datetime",
    label: "更新时间",
    align: "center",
    width: 180
  }
], X = [
  { label: "添加", key: "add", icon: "PlusOutlined" },
  { label: "导入", key: "import", icon: "ImportOutlined" },
  { label: "导出", key: "export", icon: "ExportOutlined" }
], Y = [
  { label: "编辑", key: "edit" },
  { label: "删除", key: "delete", color: "#f00", confirm: !0 },
  {
    label: "更多",
    children: [
      { label: "数据", key: "readonly" },
      { label: "规则", key: "rule" },
      { label: "授权", key: "auth" }
    ]
  }
], Z = [
  {
    name: "表单类型",
    type: "inline",
    items: [
      {
        label: "填报",
        value: 0,
        tagColor: "warning",
        tag: !0
      },
      {
        label: "字典",
        value: 1,
        tagColor: "success",
        tag: !0
      }
      // {
      //   label: '已结束',
      //   value: -1,
      //   tagColor: 'error',
      //   tag: true
      // }
    ]
  }
], ee = /* @__PURE__ */ E({
  name: "FormDesign",
  __name: "index",
  setup(ae) {
    const F = r(), h = r([]), d = r({
      page: 1,
      size: 10
    }), n = r(!1), f = r(!1), g = r(!1), D = r(0), v = r(!1), p = r(""), O = r(), k = r(""), b = r(), c = async () => {
      v.value = !0;
      try {
        const t = await m.searchFormDesign(d.value);
        D.value = t.total, h.value = t.list.map((e) => (e.table_flag === 4 ? e.dictType = 1 : e.dictType = 0, e));
      } catch (t) {
        s.error(t.msg);
      } finally {
        v.value = !1;
      }
    }, T = async (t) => {
      try {
        const e = t.target.files[0];
        if (!S(e.name, ["json"])) {
          s.warning("只能导入json格式文件！");
          return;
        }
        const l = await m.formDesignImport(e), y = (l == null ? void 0 : l.failedIds) || [];
        y.length != 0 ? s.warning(`${y.join(",")}导入失败，其余都已成功导入！`, 10) : s.success("导入成功！"), c();
      } catch (e) {
        s.error(e.msg);
      }
      t.target.value = "";
    }, z = (t) => {
      const e = {
        page: 1,
        size: 10
      };
      t.forEach((l) => {
        e[l.name] = l.value;
      }), d.value = { ...e }, c();
    }, N = ({ key: t, data: e }) => {
      switch (p.value = t, b.value = e, t) {
        case "delete":
          I(e);
          break;
        case "edit":
          R(e);
          break;
        case "readonly":
          n.value = !0;
          break;
        case "rule":
          f.value = !0;
          break;
        case "auth":
          g.value = !0;
          break;
      }
    }, G = ({ key: t, data: e }) => {
      switch (t) {
        case "import":
          F.value.click();
          break;
        case "export":
          U(e);
          break;
        case "add":
          p.value = t, k.value = "添加表单", n.value = !0;
          break;
      }
    };
    async function I({ _id: t }) {
      try {
        await m.deleteFormDesign(t), s.success("删除成功！"), c();
      } catch (e) {
        s.error(e.msg);
      }
    }
    async function R(t) {
      try {
        const e = await m.queryFormDesign(t._id);
        O.value = e, k.value = "编辑表单", n.value = !0;
      } catch (e) {
        s.error(e.msg);
      }
    }
    function S(t, e) {
      if (!t)
        return !1;
      let l = t.substring(t.lastIndexOf(".") + 1, t.length);
      return l = l.toLocaleLowerCase(), e.includes(l);
    }
    function U(t) {
      if (t.length === 0) {
        s.warning("请选择要导出的表单定义！");
        return;
      }
      m.formDesignExport(t);
    }
    return L(() => {
      c();
    }), (t, e) => {
      const l = w("a-modal"), y = w("a-drawer"), j = w("a-card");
      return x(), C(j, {
        title: "表单管理",
        class: "form-design-max"
      }, {
        default: u(() => [
          i(M, {
            fields: a(J),
            onSearch: z
          }, null, 8, ["fields"]),
          q("input", {
            type: "file",
            ref_key: "import_file",
            ref: F,
            onInput: e[0] || (e[0] = (o) => T(o)),
            accept: ".json",
            style: { display: "none" }
          }, null, 544),
          i(P, {
            data: a(h),
            fields: a(W),
            "table-operators": a(X),
            "record-operators": a(Y),
            "page-current": a(d).page,
            "onUpdate:pageCurrent": e[1] || (e[1] = (o) => a(d).page = o),
            "page-size": a(d).size,
            "onUpdate:pageSize": e[2] || (e[2] = (o) => a(d).size = o),
            onRefresh: c,
            loading: a(v),
            dicts: a(Z),
            total: a(D),
            "allow-select": "",
            "y-offset": 390,
            onRecordOperatorClick: N,
            onTableOperatorClick: G
          }, null, 8, ["data", "fields", "table-operators", "record-operators", "page-current", "page-size", "loading", "dicts", "total"]),
          i(l, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: H(["form-design-model", { "form-design-model-data": a(p) === "readonly" }]),
            open: a(n),
            "onUpdate:open": e[4] || (e[4] = (o) => _(n) ? n.value = o : null),
            title: a(k),
            footer: null
          }, {
            default: u(() => [
              a(p) === "readonly" ? (x(), C(B, { key: 0 }, {
                default: u(() => [
                  i(Q, {
                    "form-name": a(b)._id
                  }, null, 8, ["form-name"])
                ]),
                _: 1
              })) : (x(), C(V, {
                key: 1,
                open: a(n),
                "onUpdate:open": e[3] || (e[3] = (o) => _(n) ? n.value = o : null),
                onGetList: c,
                type: a(p),
                data: a(O)
              }, null, 8, ["open", "type", "data"]))
            ]),
            _: 1
          }, 8, ["class", "open", "title"]),
          i(y, {
            open: a(f),
            "onUpdate:open": e[5] || (e[5] = (o) => _(f) ? f.value = o : null),
            rootClassName: "form-design-rule",
            getContainer: ".form-design-max",
            title: "资源权限规则",
            placement: "right",
            destroyOnClose: "",
            maskClosable: !1
          }, {
            default: u(() => {
              var o;
              return [
                i(A, {
                  formName: (o = a(b)) == null ? void 0 : o._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"]),
          i(l, {
            destroyOnClose: "",
            maskClosable: !1,
            getContainer: ".form-design-max",
            class: "role-model",
            open: a(g),
            "onUpdate:open": e[6] || (e[6] = (o) => _(g) ? g.value = o : null),
            title: "授权角色",
            style: { width: "800px" },
            footer: null
          }, {
            default: u(() => {
              var o;
              return [
                i(K, {
                  formName: (o = a(b)) == null ? void 0 : o._id
                }, null, 8, ["formName"])
              ];
            }),
            _: 1
          }, 8, ["open"])
        ]),
        _: 1
      });
    };
  }
});
const te = /* @__PURE__ */ $(ee, [["__scopeId", "data-v-a22316a5"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/index.vue"]]), me = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: te
}, Symbol.toStringTag, { value: "Module" }));
export {
  me as _,
  te as i
};
